# Apps service

\
The Item API provides endpoints for managing items within an application. You can create items, update their information, and retrieve item data. Additionally, you can remove items and check item availability based on the address and token ID. This API enables seamless item management and access to relevant item data.

The Apps API allows you to manage applications. You can create applications, update their information, and retrieve application data. The API also provides endpoints to retrieve rich application data, check application availability by name, and search for applications based on specific criteria. This API facilitates efficient application management and access to relevant application information.

### Swagger docs link:

```
https://api.metaproprotocol.com/ms/teams/docs
```

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps" method="post" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/health" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/rich" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/{nameOrId}" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/appkey/{appKey}" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/{name}/availability" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/patchkit/{patchkitAppId}" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps-search/{searchText}" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/user/{address}/favorites" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/user/{address}/wishes" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/apps/{appId}" method="patch" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

#### Item

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/items" method="post" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/health" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/items" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/items/{itemId}" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/items/address/{address}/id/{\_tokenId}" method="get" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/items/{itemId}" method="patch" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/ms/teams/docs-json>" path="/v1/items/{itemId}" method="delete" %}
<https://api.metaproprotocol.com/ms/teams/docs-json>
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metaproprotocol.com/metapro-protocol/api/apps-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
